# OSGeo::FDO::Connections::Capabilities::SignatureDefinitionCollection Class Reference
[OSGeo::FDO::Connections::Capabilities]

Inheritance diagram for OSGeo::FDO::Connections::Capabilities::SignatureDefinitionCollection:

[legend]

List of all members.

## Detailed Description

SignatureDefinitionCollection is a collection of SignatureDefinition elements.

()

## Public Member Functions
System::Int32 | Add (OSGeo::FDO::Connections::Capabilities::SignatureDefinition *value)
| Adds a SignatureDefinition object into the collection.
System::Void | Clear ()
| Removes all elements from the collection.
System::Boolean | Contains (OSGeo::FDO::Connections::Capabilities::SignatureDefinition *value)
| Determines whether the collection contains a specific SignatureDefinition object.
System::Void | CopyTo (OSGeo::FDO::Connections::Capabilities::SignatureDefinition *array[], System::Int32 startAt)
| Copies the elements of the collection to an array.
__property System::Int32 | get_Count (System::Void)
| Gets the count of items in collection.
__property SignatureDefinition * | get_Item (System::Int32 index)
| Gets an item in the collection.
__property SignatureDefinition * | get_RealTypeItem (System::Int32 index)
| Gets the item in the collection at the specified index.
__sealed System::Collections::IEnumerator * | GetEnumerator (System::Void)
| Gets an enumerator that can iterate through a collection.
System::Int32 | IndexOf (OSGeo::FDO::Connections::Capabilities::SignatureDefinition *value)
| Determines the index of a specific SignatureDefinition object.
System::Void | Insert (System::Int32 index, OSGeo::FDO::Connections::Capabilities::SignatureDefinition *value)
| Inserts a SignatureDefinition object into the collection at the specified position.
System::Void | Remove (OSGeo::FDO::Connections::Capabilities::SignatureDefinition *value)
| Removes the first occurrence of a specific SignatureDefinition object.
System::Void | RemoveAt (System::Int32 index)
| Removes the index-th SignatureDefinition from this collection.
__property System::Void | set_Item (System::Int32 index, OSGeo::FDO::Connections::Capabilities::SignatureDefinition *value)
| Sets the value of the item at the specified index.
__property System::Void | set_RealTypeItem (System::Int32 index, OSGeo::FDO::Connections::Capabilities::SignatureDefinition *value)
| Sets the value of the item at the specified index.
| SignatureDefinitionCollection ()